using System.Text.Json;

namespace ReportingServices.API.Models;

public record AppSettings(string BuildNumber,
                          string Company,
                          string ConnectionString,
                          string GitCommitSeven,
                          string LoggingDirectory,
                          bool IsDevelopment,
                          bool IsStaging,
                          string MonAResource,
                          string MonASite)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}